# cAbiotic Class Reference

Inheritance diagram for cAbiotic:

List of all members.

## Public Member Functions

| cAbiotic (DWORD dwGUID, cLocation &Loc, DWORD dwModel, float flScale, BOOL fSolid, DWORD dwIcon, std::string strName, std::string strDescription, DWORD dwWeight, DWORD dwValue, BOOL fSelectable=TRUE, BOOL fEquippable=TRUE, BOOL fStackable=FALSE, BOOL fIsOwned=FALSE, DWORD dwContainer=0)
cMessage | CreatePacket ()
cMessage | Animation (WORD wAnim, float flPlaySpeed)
void | Assess (cClient *pcAssesser)
void | Use (cClient *pcAssesser)
void | Action (cClient *pcClient)
void | SetContainer (DWORD dwGUID)

## Protected Attributes

DWORD | m_dwWeight
DWORD | m_dwValue
BOOL | m_fIsStackable
BOOL | m_fEquippable
BOOL | m_fIsSolid
std::string | m_strDescription

## Member Function Documentation

void cAbiotic::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of objects.

This function is called whenever an objects is assessed by a client. Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cAbiotic::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of an object in the world.

This function is called whenever an object should be created in the world for a client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/Object.cpp